# CMake generated Testfile for 
# Source directory: /Users/h/sdk-folder/sdk-source/avs-device-sdk/AVSCommon/Utils/test
# Build directory: /Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test
# 
# This file includes the relevant testing commands required for 
# testing this directory and lists subdirectories to be tested as well.
add_test(ConfigurationNodeTest.testInitializationAndAccess "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ConfigurationNodeTest" "--gtest_filter=ConfigurationNodeTest.testInitializationAndAccess")
add_test(ExecutorTest.submitStdFunctionAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitStdFunctionAndVerifyExecution")
add_test(ExecutorTest.submitStdBindAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitStdBindAndVerifyExecution")
add_test(ExecutorTest.submitLambdaAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitLambdaAndVerifyExecution")
add_test(ExecutorTest.submitFunctionPointerAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionPointerAndVerifyExecution")
add_test(ExecutorTest.submitFunctorAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctorAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithPrimitiveReturnTypeNoArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithPrimitiveReturnTypeNoArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithObjectReturnTypeNoArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithObjectReturnTypeNoArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithNoReturnTypePrimitiveArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithNoReturnTypePrimitiveArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithNoReturnTypeObjectArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithNoReturnTypeObjectArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithPrimitiveReturnTypeObjectArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithPrimitiveReturnTypeObjectArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithObjectReturnTypePrimitiveArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithObjectReturnTypePrimitiveArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithPrimitiveReturnTypePrimitiveArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithPrimitiveReturnTypePrimitiveArgsAndVerifyExecution")
add_test(ExecutorTest.submitFunctionWithObjectReturnTypeObjectArgsAndVerifyExecution "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitFunctionWithObjectReturnTypeObjectArgsAndVerifyExecution")
add_test(ExecutorTest.submitToFront "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.submitToFront")
add_test(ExecutorTest.futureWaitsForTaskCleanup "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.futureWaitsForTaskCleanup")
add_test(ExecutorTest.shutdown "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/ExecutorTest" "--gtest_filter=ExecutorTest.shutdown")
add_test(JSONUtilTest.validJsonChildObjectAsString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.validJsonChildObjectAsString")
add_test(JSONUtilTest.validJsonScalarString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.validJsonScalarString")
add_test(JSONUtilTest.validJsonInteger "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.validJsonInteger")
add_test(JSONUtilTest.retrieveValueStringBasedInt64FromInvalidJSON "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueStringBasedInt64FromInvalidJSON")
add_test(JSONUtilTest.retrieveValueStringBasedStringFromInvalidJSON "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueStringBasedStringFromInvalidJSON")
add_test(JSONUtilTest.retrieveValueStringBasedWithIncorrectKey "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueStringBasedWithIncorrectKey")
add_test(JSONUtilTest.retrieveValueStringBasedWithNull "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueStringBasedWithNull")
add_test(JSONUtilTest.retrieveValueDocumentBasedWithInvalidValueType "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueDocumentBasedWithInvalidValueType")
add_test(JSONUtilTest.retrieveValueDocumentBasedWithNull "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueDocumentBasedWithNull")
add_test(JSONUtilTest.retrieveValueDocumentBasedWithValidInt64 "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.retrieveValueDocumentBasedWithValidInt64")
add_test(JSONUtilTest.findNodeNull "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.findNodeNull")
add_test(JSONUtilTest.findNodeKeyExists "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.findNodeKeyExists")
add_test(JSONUtilTest.findNodeKeyMissing "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.findNodeKeyMissing")
add_test(JSONUtilTest.parseJSONNullOutputParam "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.parseJSONNullOutputParam")
add_test(JSONUtilTest.parseJSONValidJSON "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.parseJSONValidJSON")
add_test(JSONUtilTest.parseJSONInvalidJSON "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.parseJSONInvalidJSON")
add_test(JSONUtilTest.convertToStringValueWithString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToStringValueWithString")
add_test(JSONUtilTest.convertToStringValueWithObject "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToStringValueWithObject")
add_test(JSONUtilTest.convertToStringValueWithInvalidValue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToStringValueWithInvalidValue")
add_test(JSONUtilTest.convertToStringValueWithNullOutputParam "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToStringValueWithNullOutputParam")
add_test(JSONUtilTest.convertToInt64ValueWithInt64 "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToInt64ValueWithInt64")
add_test(JSONUtilTest.convertToInt64ValueWithDouble "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToInt64ValueWithDouble")
add_test(JSONUtilTest.convertToInt64ValueWithNullOutputParam "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToInt64ValueWithNullOutputParam")
add_test(JSONUtilTest.convertToBoolValueWithNullOutputParam "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToBoolValueWithNullOutputParam")
add_test(JSONUtilTest.convertToBoolValueWithNonBool "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToBoolValueWithNonBool")
add_test(JSONUtilTest.convertToBoolValueWithBool "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/JSONUtilTest" "--gtest_filter=JSONUtilTest.convertToBoolValueWithBool")
add_test(LogEntryStreamTest.emptyStream "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LogEntryStreamTest" "--gtest_filter=LogEntryStreamTest.emptyStream")
add_test(LogEntryStreamTest.shortString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LogEntryStreamTest" "--gtest_filter=LogEntryStreamTest.shortString")
add_test(LogEntryStreamTest.mediumString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LogEntryStreamTest" "--gtest_filter=LogEntryStreamTest.mediumString")
add_test(LogEntryStreamTest.longString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LogEntryStreamTest" "--gtest_filter=LogEntryStreamTest.longString")
add_test(LogEntryStreamTest.aFewStrings "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LogEntryStreamTest" "--gtest_filter=LogEntryStreamTest.aFewStrings")
add_test(LogEntryStreamTest.aLotOfStrings "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LogEntryStreamTest" "--gtest_filter=LogEntryStreamTest.aLotOfStrings")
add_test(LoggerTest.logDebug9Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug9Level")
add_test(LoggerTest.logDebug8Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug8Level")
add_test(LoggerTest.logDebug7Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug7Level")
add_test(LoggerTest.logDebug6Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug6Level")
add_test(LoggerTest.logDebug5Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug5Level")
add_test(LoggerTest.logDebug4Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug4Level")
add_test(LoggerTest.logDebug3Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug3Level")
add_test(LoggerTest.logDebug2Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug2Level")
add_test(LoggerTest.logDebug1Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug1Level")
add_test(LoggerTest.logDebug0Level "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logDebug0Level")
add_test(LoggerTest.logInfoLevel "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logInfoLevel")
add_test(LoggerTest.logWarnLevel "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logWarnLevel")
add_test(LoggerTest.logErrorLevel "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logErrorLevel")
add_test(LoggerTest.logCriticalLevel "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logCriticalLevel")
add_test(LoggerTest.logNoneLevel "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.logNoneLevel")
add_test(LoggerTest.testNullInputs "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.testNullInputs")
add_test(LoggerTest.verifyTime "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.verifyTime")
add_test(LoggerTest.verifyThreadMoniker "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.verifyThreadMoniker")
add_test(LoggerTest.verifySource "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.verifySource")
add_test(LoggerTest.verifyEvent "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.verifyEvent")
add_test(LoggerTest.verifyMetadata "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.verifyMetadata")
add_test(LoggerTest.verifyMessage "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.verifyMessage")
add_test(LoggerTest.testSensitiveDataSuppressed "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.testSensitiveDataSuppressed")
add_test(LoggerTest.testModuleLoggerObserver "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.testModuleLoggerObserver")
add_test(LoggerTest.testMultipleModuleLoggerObservers "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.testMultipleModuleLoggerObservers")
add_test(LoggerTest.testChangeSinkLogger "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/LoggerTest" "--gtest_filter=LoggerTest.testChangeSinkLogger")
add_test(RequiresShutdownTest.allTestCases "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/RequiresShutdownTest" "--gtest_filter=RequiresShutdownTest.allTestCases")
add_test(SafeCTimeAccessTest.getGmtimeNullReturnValue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_filter=SafeCTimeAccessTest.getGmtimeNullReturnValue")
add_test(SafeCTimeAccessTest.getLocaltimeNullReturnValue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_filter=SafeCTimeAccessTest.getLocaltimeNullReturnValue")
add_test(SafeCTimeAccessTest.getGmtimeAtTheEpoch "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_filter=SafeCTimeAccessTest.getGmtimeAtTheEpoch")
add_test(SafeCTimeAccessTest.getGmtime "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_filter=SafeCTimeAccessTest.getGmtime")
add_test(SafeCTimeAccessTest.getLocaltime "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_filter=SafeCTimeAccessTest.getLocaltime")
add_test(SafeCTimeAccessTest.gmTimeMultithreadedAccess "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_also_run_disabled_tests" "--gtest_filter=SafeCTimeAccessTest.DISABLED_gmTimeMultithreadedAccess")
set_tests_properties(SafeCTimeAccessTest.gmTimeMultithreadedAccess PROPERTIES  DISABLED "TRUE")
add_test(SafeCTimeAccessTest.localtimeMultithreadedAccess "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SafeTimeAccessTest" "--gtest_also_run_disabled_tests" "--gtest_filter=SafeCTimeAccessTest.DISABLED_localtimeMultithreadedAccess")
set_tests_properties(SafeCTimeAccessTest.localtimeMultithreadedAccess PROPERTIES  DISABLED "TRUE")
add_test(SharedDataStreamTest.sdsCalculateCreateSize "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.sdsCalculateCreateSize")
add_test(SharedDataStreamTest.sdsOpen "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.sdsOpen")
add_test(SharedDataStreamTest.createWriter "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.createWriter")
add_test(SharedDataStreamTest.createReader "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.createReader")
add_test(SharedDataStreamTest.readerRead "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.readerRead")
add_test(SharedDataStreamTest.readerSeek "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.readerSeek")
add_test(SharedDataStreamTest.readerTell "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.readerTell")
add_test(SharedDataStreamTest.readerClose "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.readerClose")
add_test(SharedDataStreamTest.readerGetId "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.readerGetId")
add_test(SharedDataStreamTest.readerGetWordSize "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.readerGetWordSize")
add_test(SharedDataStreamTest.writerWrite "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.writerWrite")
add_test(SharedDataStreamTest.writerTell "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.writerTell")
add_test(SharedDataStreamTest.writerClose "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.writerClose")
add_test(SharedDataStreamTest.writerGetWordSize "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.writerGetWordSize")
add_test(SharedDataStreamTest.concurrencyNonblockableWriterDualReader "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.concurrencyNonblockableWriterDualReader")
add_test(SharedDataStreamTest.concurrencyAllOrNothingWriterNonblockingReader "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.concurrencyAllOrNothingWriterNonblockingReader")
add_test(SharedDataStreamTest.concurrencyMultipleSds "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.concurrencyMultipleSds")
add_test(SharedDataStreamTest.writerClosedBeforeWriting "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.writerClosedBeforeWriting")
add_test(SharedDataStreamTest.writerClosedBeforeAttachingReader "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/SharedDataStreamTest" "--gtest_filter=SharedDataStreamTest.writerClosedBeforeAttachingReader")
add_test(StreamFunctionsTest.StreamFromData "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.StreamFromData")
add_test(StreamFunctionsTest.DataContainsUnprintableChars "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.DataContainsUnprintableChars")
add_test(StreamFunctionsTest.EmptyVector "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.EmptyVector")
add_test(StreamFunctionsTest.MultipleStreams "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.MultipleStreams")
add_test(StreamFunctionsTest.seekgBasicForward "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.seekgBasicForward")
add_test(StreamFunctionsTest.seekgBasicReset "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.seekgBasicReset")
add_test(StreamFunctionsTest.tellgBasic "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.tellgBasic")
add_test(StreamFunctionsTest.tellgPastEnd "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.tellgPastEnd")
add_test(StreamFunctionsTest.tellgBeforeBeginning "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.tellgBeforeBeginning")
add_test(StreamFunctionsTest.tellgAfterSeeking "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.tellgAfterSeeking")
add_test(StreamFunctionsTest.tellgAfterReading "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreamFunctionsTest" "--gtest_filter=StreamFunctionsTest.tellgAfterReading")
add_test(StreambufTest.Creation "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.Creation")
add_test(StreambufTest.seekoffBeginning "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffBeginning")
add_test(StreambufTest.seekoffCurrentForward "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffCurrentForward")
add_test(StreambufTest.seekoffFromBeginningUntilEnd "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffFromBeginningUntilEnd")
add_test(StreambufTest.seekoffFromEndUntilBeginning "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffFromEndUntilBeginning")
add_test(StreambufTest.seekoffCurrentBackward "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffCurrentBackward")
add_test(StreambufTest.seekoffBeforeStart "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffBeforeStart")
add_test(StreambufTest.seekoffPastEnd "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekoffPastEnd")
add_test(StreambufTest.seekpos "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekpos")
add_test(StreambufTest.seekposBeforeStart "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekposBeforeStart")
add_test(StreambufTest.seekposAfterEnd "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekposAfterEnd")
add_test(StreambufTest.seekposToEnd "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StreambufTest" "--gtest_filter=StreambufTest.seekposToEnd")
add_test(StringUtilsTest.testEmptyStringFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testEmptyStringFails")
add_test(StringUtilsTest.testSimpleDecimalInteger "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testSimpleDecimalInteger")
add_test(StringUtilsTest.testNegativeInt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNegativeInt")
add_test(StringUtilsTest.testInitialWhitespaceSucceeds "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testInitialWhitespaceSucceeds")
add_test(StringUtilsTest.testTrailingWhitespaceSucceeds "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testTrailingWhitespaceSucceeds")
add_test(StringUtilsTest.testLeadingAndTrailingWhitespaceSucceeds "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testLeadingAndTrailingWhitespaceSucceeds")
add_test(StringUtilsTest.testNonWhitespacePrefixFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNonWhitespacePrefixFails")
add_test(StringUtilsTest.testNonWhitespaceSuffixFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNonWhitespaceSuffixFails")
add_test(StringUtilsTest.testNonWhitespacePrefixAndSuffixFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNonWhitespacePrefixAndSuffixFails")
add_test(StringUtilsTest.testNonWhitespaceAndNonWhitespacePrefixFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNonWhitespaceAndNonWhitespacePrefixFails")
add_test(StringUtilsTest.testNonWhitespaceAndNonWhitespaceSuffixFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNonWhitespaceAndNonWhitespaceSuffixFails")
add_test(StringUtilsTest.testNonWhitespaceAndNonWhitespacePrefixAndSuffixFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testNonWhitespaceAndNonWhitespacePrefixAndSuffixFails")
add_test(StringUtilsTest.testZeroSucceeds "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testZeroSucceeds")
add_test(StringUtilsTest.testDecimalFloatFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testDecimalFloatFails")
add_test(StringUtilsTest.testOctalInterpretedAsDecimal "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testOctalInterpretedAsDecimal")
add_test(StringUtilsTest.testHexIntFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testHexIntFails")
add_test(StringUtilsTest.testTooLargeIntFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testTooLargeIntFails")
add_test(StringUtilsTest.testTooSmallIntFails "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testTooSmallIntFails")
add_test(StringUtilsTest.testMultipleNumbers "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testMultipleNumbers")
add_test(StringUtilsTest.testToLowerEmptyString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testToLowerEmptyString")
add_test(StringUtilsTest.testToLowerCaseString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testToLowerCaseString")
add_test(StringUtilsTest.testToUpperCaseString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testToUpperCaseString")
add_test(StringUtilsTest.testToCamelCaseString "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/StringUtilsTest" "--gtest_filter=StringUtilsTest.testToCamelCaseString")
add_test(TaskQueueTest.pushStdFunctionAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushStdFunctionAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushStdBindAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushStdBindAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushLambdaAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushLambdaAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionPointerAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionPointerAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctorAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctorAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithPrimitiveReturnTypeNoArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithPrimitiveReturnTypeNoArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithObjectReturnTypeNoArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithObjectReturnTypeNoArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithNoReturnTypePrimitiveArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithNoReturnTypePrimitiveArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithNoReturnTypeObjectArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithNoReturnTypeObjectArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithPrimitiveReturnTypeObjectArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithPrimitiveReturnTypeObjectArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithObjectReturnTypePrimitiveArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithObjectReturnTypePrimitiveArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithPrimitiveReturnTypePrimitiveArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithPrimitiveReturnTypePrimitiveArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.pushFunctionWithObjectReturnTypeObjectArgsAndVerifyPopReturnsIt "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFunctionWithObjectReturnTypeObjectArgsAndVerifyPopReturnsIt")
add_test(TaskQueueTest.verifyFirstInFirstOutOrderIsMaintained "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.verifyFirstInFirstOutOrderIsMaintained")
add_test(TaskQueueTest.popBlocksOnInitiallyEmptyQueue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.popBlocksOnInitiallyEmptyQueue")
add_test(TaskQueueTest.popBlocksOnEmptyQueueAfterAllTasksArePopped "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.popBlocksOnEmptyQueueAfterAllTasksArePopped")
add_test(TaskQueueTest.isShutdownReturnsFalseWhenRunning "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.isShutdownReturnsFalseWhenRunning")
add_test(TaskQueueTest.isShutdownReturnsTrueAfterShutdown "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.isShutdownReturnsTrueAfterShutdown")
add_test(TaskQueueTest.shutdownUnblocksAnEmptyQueue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.shutdownUnblocksAnEmptyQueue")
add_test(TaskQueueTest.pushFailsToEnqueueANewTaskOnAShutdownQueue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskQueueTest" "--gtest_filter=TaskQueueTest.pushFailsToEnqueueANewTaskOnAShutdownQueue")
add_test(TaskThreadTest.theTaskThreadReadsFromAGivenEmptyQueue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskThreadTest" "--gtest_filter=TaskThreadTest.theTaskThreadReadsFromAGivenEmptyQueue")
add_test(TaskThreadTest.theTaskThreadReadsFromAGivenNonEmptyQueue "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskThreadTest" "--gtest_filter=TaskThreadTest.theTaskThreadReadsFromAGivenNonEmptyQueue")
add_test(TaskThreadTest.theTaskThreadShutsDownWhenTheQueueIsDestroyed "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskThreadTest" "--gtest_filter=TaskThreadTest.theTaskThreadShutsDownWhenTheQueueIsDestroyed")
add_test(TaskThreadTest.theTaskThreadShutsDownWhenTheQueueIsShutdown "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskThreadTest" "--gtest_filter=TaskThreadTest.theTaskThreadShutsDownWhenTheQueueIsShutdown")
add_test(TaskThreadTest.theTaskThreadIsNotStartedUntilStartIsCalled "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TaskThreadTest" "--gtest_filter=TaskThreadTest.theTaskThreadIsNotStartedUntilStartIsCalled")
add_test(TimeTest.testStringConversion "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testStringConversion")
add_test(TimeTest.testStringConversionError "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testStringConversionError")
add_test(TimeTest.testStringConversionNullParam "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testStringConversionNullParam")
add_test(TimeTest.testTimeConversion "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testTimeConversion")
add_test(TimeTest.testCurrentTime "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testCurrentTime")
add_test(TimeTest.testCurrentTimeNullParam "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testCurrentTimeNullParam")
add_test(TimeTest.testIso8601Conversion "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimeUtilsTest" "--gtest_filter=TimeTest.testIso8601Conversion")
add_test(TimerTest.singleShot "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.singleShot")
add_test(TimerTest.multiShot "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.multiShot")
add_test(TimerTest.multiShotWithDelay "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.multiShotWithDelay")
add_test(TimerTest.forever "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.forever")
add_test(TimerTest.slowTaskLessThanPeriod "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.slowTaskLessThanPeriod")
add_test(TimerTest.slowTaskGreaterThanPeriod "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.slowTaskGreaterThanPeriod")
add_test(TimerTest.slowTaskGreaterThanTwoPeriods "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.slowTaskGreaterThanTwoPeriods")
add_test(TimerTest.endToStartPeriod "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.endToStartPeriod")
add_test(TimerTest.stopSingleShotBeforeTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.stopSingleShotBeforeTask")
add_test(TimerTest.stopSingleShotDuringTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.stopSingleShotDuringTask")
add_test(TimerTest.stopSingleShotAfterTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.stopSingleShotAfterTask")
add_test(TimerTest.stopMultiShot "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.stopMultiShot")
add_test(TimerTest.startRunningBeforeTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.startRunningBeforeTask")
add_test(TimerTest.startRunningDuringTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.startRunningDuringTask")
add_test(TimerTest.startRunningAfterTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.startRunningAfterTask")
add_test(TimerTest.deleteBeforeTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.deleteBeforeTask")
add_test(TimerTest.deleteDuringTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.deleteDuringTask")
add_test(TimerTest.startRunningAfterStopDuringTask "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/TimerTest" "--gtest_filter=TimerTest.startRunningAfterStopDuringTask")
add_test(UUIDGenerationTest.testUUIDStringLength "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testUUIDStringLength")
add_test(UUIDGenerationTest.testUUIDContainsOnlyHexCharacters "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testUUIDContainsOnlyHexCharacters")
add_test(UUIDGenerationTest.testUUIDVersion "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testUUIDVersion")
add_test(UUIDGenerationTest.testUUIDVariant "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testUUIDVariant")
add_test(UUIDGenerationTest.testUUIDHyphens "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testUUIDHyphens")
add_test(UUIDGenerationTest.testMultipleRequests "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testMultipleRequests")
add_test(UUIDGenerationTest.testMultipleConcurrentRequests "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testMultipleConcurrentRequests")
add_test(UUIDGenerationTest.testAllHexValuesGenerated "/Users/h/sdk-folder/sdk-build/AVSCommon/Utils/test/UUIDGenerationTest" "--gtest_filter=UUIDGenerationTest.testAllHexValuesGenerated")
subdirs("Common")
